Installation: contao-rocksolid-custom-elements mit contao 4.4.56

Meike's Avatar

Meike

23 Aug, 2021 10:56 AM

Produkt: Custom Elements Contao
Contao-Version: 4.4.56

Hallo zusammen,

ich muss eine Contao 4.4.56 Version wieder herstellen und bekomme beim Versuch rsce zu installieren folgenden Fehler im Manager:

#######
$ /opt/php-7.4/bin/php -q -dmax_execution_time=0 -dmemory_limit=-1 -dallow_url_fopen=1 -ddisable_functions= -ddate.timezone=Europe/Berlin /var/www/clients/client3/web365/web/v1/web/contao-manager.phar.php composer require madeyourday/contao-rocksolid-custom-elements --no-update --no-scripts --prefer-stable --sort-packages --no-ansi --no-interaction

Using version ^2.3 for madeyourday/contao-rocksolid-custom-elements
/var/www/clients/client3/web365/web/v1/composer.json has been updated

# Process terminated with exit code 0
# Result: OK


> Resolving dependencies using Composer Cloud v3.2.0
!!! Current server is sponsored by: Contao Association !!!


[5.8MiB/0.20s] Loading composer repositories with package information
[59.0MiB/2.27s] Updating dependencies
[1473.2MiB/10.18s] Your requirements could not be resolved to an installable set of packages.
[1473.2MiB/10.19s] 
  Problem 1
    - madeyourday/contao-rocksolid-custom-elements[v2.3.0, ..., v2.3.5] require contao/core-bundle ^4.9 -> satisfiable by contao/core-bundle[4.9.0, ..., 4.12.0].
    - You can only install one version of a package, so only one of these can be installed: contao/core-bundle[4.1.0, ..., 4.12.0].
    - contao/calendar-bundle 4.4.56 requires contao/core-bundle 4.4.56 -> satisfiable by contao/core-bundle[4.4.56].
    - contao/calendar-bundle is locked to version 4.4.56 and an update of this package was not requested.
    - Root composer.json requires madeyourday/contao-rocksolid-custom-elements ^2.3 -> satisfiable by madeyourday/contao-rocksolid-custom-elements[v2.3.0, ..., v2.3.5].

[1473.2MiB/10.19s] Running update with --no-dev does not mean require-dev is ignored, it just means the packages will not be installed. If dev requirements are blocking the update you have to resolve those problems.
[76.1MiB/11.50s] Memory usage: 76.13MB (peak: 1473.88MB), time: 11.51s.
[76.1MiB/11.50s] Finished Composer Cloud resolving.


# Cloud Job ID 7pIQWMOQdvjeVda3iiqSBrV7GJad0tWR2WdvAd0HScBg5QcGrwH5nLBp03hbIDyckRLuiiKq7EjfeZjrvVhx failed
#######

Was muss ich im Manager einstellen, damit ich rsce installieren kann?

Mir ist klar dass dann als Nächstes das Update auf 4.9 ansteht, aber da die bestehende Website erst umziehen soll, muss ich erst einmal ein funktionierendes 4.4.56 erreichen.

Viele Grüße,
Meike

  1. Support Staff 1 Posted by RockSolid Theme... on 24 Aug, 2021 08:05 AM

    RockSolid Themes's Avatar

    Vielen Dank für Ihre Frage.

    Tragen Sie im Contao-Manager bitte als Version ^2.2 für die Custom-Elements-Erweiterung ein. Damit sollte sich die Erweiterung in Contao 4.4 installieren lassen.

  2. 2 Posted by Meike on 27 Aug, 2021 02:40 PM

    Meike's Avatar

    Danke, funktioniert!

Reply to this discussion

Internal reply

Formatting help / Preview (switch to plain text) No formatting (switch to Markdown)

Attaching KB article:

»

Attached Files

You can attach files up to 10MB

If you don't have an account yet, we need to confirm you're human and not a machine trying to post spam.

Keyboard shortcuts

Generic

? Show this help
ESC Blurs the current field

Comment Form

r Focus the comment reply box
^ + ↩ Submit the comment

You can use Command ⌘ instead of Control ^ on Mac